ApiClustersPerfInspectorArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClustersPerfInspectorArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClustersPerfInspectorArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClustersPerfInspectorArgs
      extends Object

  Arguments used for the Cloudera Manager level performance inspector. Network diagnostics will be run from every host in sourceCluster to every host in targetCluster.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClustersPerfInspectorArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClustersPerfInspectorArgs` | `bandwidthArgs(ApiPerfInspectorBandwidthArgs bandwidthArgs)`
    `boolean` | `equals(Object o)`
    `ApiPerfInspectorBandwidthArgs` | `getBandwidthArgs()` Get bandwidthArgs
    `ApiPerfInspectorPingArgs` | `getPingArgs()` Get pingArgs
    `PerfInspectorPolicyType` | `getPolicyType()` Get policyType
    `String` | `getSourceCluster()` Required name of the source cluster to run network diagnostics test.
    `String` | `getTargetCluster()` Required name of the target cluster to run network diagnostics test.
    `int` | `hashCode()`
    `ApiClustersPerfInspectorArgs` | `pingArgs(ApiPerfInspectorPingArgs pingArgs)`
    `ApiClustersPerfInspectorArgs` | `policyType(PerfInspectorPolicyType policyType)`
    `void` | `setBandwidthArgs(ApiPerfInspectorBandwidthArgs bandwidthArgs)`
    `void` | `setPingArgs(ApiPerfInspectorPingArgs pingArgs)`
    `void` | `setPolicyType(PerfInspectorPolicyType policyType)`
    `void` | `setSourceCluster(String sourceCluster)`
    `void` | `setTargetCluster(String targetCluster)`
    `ApiClustersPerfInspectorArgs` | `sourceCluster(String sourceCluster)`
    `ApiClustersPerfInspectorArgs` | `targetCluster(String targetCluster)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClustersPerfInspectorArgs

          public ApiClustersPerfInspectorArgs()

  - ### Method Detail

    - #### sourceCluster

          public ApiClustersPerfInspectorArgs sourceCluster(String sourceCluster)

    - #### getSourceCluster

          public String getSourceCluster()

      Required name of the source cluster to run network diagnostics test.
      Returns:
        sourceCluster

    - #### setSourceCluster

          public void setSourceCluster(String sourceCluster)

    - #### targetCluster

          public ApiClustersPerfInspectorArgs targetCluster(String targetCluster)

    - #### getTargetCluster

          public String getTargetCluster()

      Required name of the target cluster to run network diagnostics test.
      Returns:
        targetCluster

    - #### setTargetCluster

          public void setTargetCluster(String targetCluster)

    - #### pingArgs

          public ApiClustersPerfInspectorArgs pingArgs(ApiPerfInspectorPingArgs pingArgs)

    - #### getPingArgs

          public ApiPerfInspectorPingArgs getPingArgs()

      Get pingArgs
      Returns:
        pingArgs

    - #### setPingArgs

          public void setPingArgs(ApiPerfInspectorPingArgs pingArgs)

    - #### bandwidthArgs

          public ApiClustersPerfInspectorArgs bandwidthArgs(ApiPerfInspectorBandwidthArgs bandwidthArgs)

    - #### getBandwidthArgs

          public ApiPerfInspectorBandwidthArgs getBandwidthArgs()

      Get bandwidthArgs
      Returns:
        bandwidthArgs

    - #### setBandwidthArgs

          public void setBandwidthArgs(ApiPerfInspectorBandwidthArgs bandwidthArgs)

    - #### policyType

          public ApiClustersPerfInspectorArgs policyType(PerfInspectorPolicyType policyType)

    - #### getPolicyType

          public PerfInspectorPolicyType getPolicyType()

      Get policyType
      Returns:
        policyType

    - #### setPolicyType

          public void setPolicyType(PerfInspectorPolicyType policyType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.